Package twisted :: Package im :: Module interfaces :: Class IChatUI

[show private | hide private]
[frames | no frames]

## Class IChatUI

    Interface --+
                |
               IChatUI

Method Summary
| ``contactChangedNick`(self, oldnick, newnick)` For the given person, changes the person's name to newnick, and tells the contact list and any conversation windows with that person to change as well.
`ContactsList` | ``getContactsList`(self)`
`Conversation<IConversation>` | ``getConversation`(self, person, Class, stayHidden)` For the given person object, returns the conversation window or creates and returns a new conversation window if one does not exist.
`Group<interfaces.IGroup>` | ``getGroup`(self, name, client, Class)` For the given name and account client, returns the instance of the AbstractGroup subclass, or creates and returns a new AbstractGroup subclass of the type Class
`GroupConversation<interfaces.IGroupConversation>` | ``getGroupConversation`(self, group, Class, stayHidden)` For the given group object, returns the group conversation window or creates and returns a new group conversation window if it doesn't exist.
`Person<interfaces.IPerson>` | ``getPerson`(self, name, client, Class)` For the given name and account client, returns the instance of the AbstractPerson subclass, or creates and returns a new AbstractPerson subclass of the type Class
| ``registerAccountClient`(self, client)` Notifies user that an account has been signed on to.
| ``unregisterAccountClient`(self, client)` Notifies user that an account has been signed off or disconnected

Method Details

### contactChangedNick(self, oldnick, newnick)

For the given person, changes the person's name to newnick, and tells the contact list and any conversation windows with that person to change as well.

  Parameters:
    `oldnick`
    (type=string)
    `newnick`
    (type=string)

### getContactsList(self)

  Returns:
    `ContactsList`

### getConversation(self, person, Class, stayHidden=0)

For the given person object, returns the conversation window or creates and returns a new conversation window if one does not exist.

  Parameters:
    `person`
    (type=`Person<IPerson>`)
    `Class`
    (type=`Conversation<IConversation>` class)
    `stayHidden`
    (type=boolean)
  Returns:
    `Conversation<IConversation>`

### getGroup(self, name, client, Class)

For the given name and account client, returns the instance of the AbstractGroup subclass, or creates and returns a new AbstractGroup subclass of the type Class

  Parameters:
    `name`
    (type=string)
    `client`
    (type=`Client<interfaces.IClient>`)
    `Class`
    (type=`Group<interfaces.IGroup>` class)
  Returns:
    `Group<interfaces.IGroup>`

### getGroupConversation(self, group, Class, stayHidden=0)

For the given group object, returns the group conversation window or creates and returns a new group conversation window if it doesn't exist.

  Parameters:
    `group`
    (type=`Group<interfaces.IGroup>`)
    `Class`
    (type=`Conversation<interfaces.IConversation>` class)
    `stayHidden`
    (type=boolean)
  Returns:
    `GroupConversation<interfaces.IGroupConversation>`

### getPerson(self, name, client, Class)

For the given name and account client, returns the instance of the AbstractPerson subclass, or creates and returns a new AbstractPerson subclass of the type Class

  Parameters:
    `name`
    (type=string)
    `client`
    (type=`Client<interfaces.IClient>`)
    `Class`
    (type=`Person<interfaces.IPerson>` class)
  Returns:
    `Person<interfaces.IPerson>`

### registerAccountClient(self, client)

Notifies user that an account has been signed on to.

  Parameters:
    `client`
    (type=`Client<IClient>`)

### unregisterAccountClient(self, client)

Notifies user that an account has been signed off or disconnected

  Parameters:
    `client`
    (type=`Client<IClient>`)

Generated by Epydoc 1.1 on Sat Feb 15 21:19:02 2003 | http://epydoc.sf.net